View Issue Details

IDProjectCategoryView StatusLast Update
0005007Talerexchangepublic2021-09-02 18:14
ReporterMarcello Stanisci Assigned ToChristian Grothoff  
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Versiongit (master) 
Target Version0.3Fixed in Version0.3 
Summary0005007: make check doesn't run on 100% clean db
DescriptionSometimes a *db* drop is necessary in order to have tests passed.
So even though the testcase logic does drop tables in the 'checkdb',
a manual db destruction-recreation is sometimes needed.
TagsNo tags attached.

Activities

Christian Grothoff

2017-05-14 14:40

manager   ~0012132

Speculating here, maybe we miss dropping some tables or indices or something else.

Christian Grothoff

2017-05-28 18:07

manager   ~0012167

Found a missing table drop, fixed in 3a889eb..5d58316.

Christian Grothoff

2021-09-02 18:14

manager   ~0018298

Fix committed to master branch.

Related Changesets

exchange: master 5d58316d

2017-05-28 18:06:44

Christian Grothoff

Details Diff
add missing drop, should fix 0005007 Affected Issues
0005007
mod - src/exchangedb/plugin_exchangedb_postgres.c Diff File

Issue History

Date Modified Username Field Change
2017-05-09 15:30 Marcello Stanisci New Issue
2017-05-09 15:30 Marcello Stanisci Status new => assigned
2017-05-09 15:30 Marcello Stanisci Assigned To => Christian Grothoff
2017-05-14 14:39 Christian Grothoff Product Version => git (master)
2017-05-14 14:39 Christian Grothoff Target Version => 0.3
2017-05-14 14:39 Christian Grothoff Description Updated
2017-05-14 14:40 Christian Grothoff Target Version 0.3 =>
2017-05-14 14:40 Christian Grothoff Note Added: 0012132
2017-05-28 18:07 Christian Grothoff Note Added: 0012167
2017-05-28 18:07 Christian Grothoff Status assigned => resolved
2017-05-28 18:07 Christian Grothoff Resolution open => fixed
2017-05-28 18:07 Christian Grothoff Fixed in Version => 0.3
2017-05-28 18:07 Christian Grothoff Target Version => 0.3
2017-06-06 14:18 Christian Grothoff Status resolved => closed
2021-09-02 18:13 Christian Grothoff Changeset attached => Taler-exchange master 5d58316d
2021-09-02 18:14 Christian Grothoff Note Added: 0018298